package com.zhyc.module.dairyProducts.service;

import com.zhyc.module.dairyProducts.domain.NpMilkInOutStore; // 引入实体
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface INpMilkInOutStoreService {
    // 修改参数为实体对象
    List<Map<String,Object>> selectWithDynamicColumns(NpMilkInOutStore query);

    List<Map<String,Object>> getAllColumnOptions();
    List<Map<String,Object>> parseImportExcel(MultipartFile file) throws Exception;
    void batchInsertFromRows(List<Map<String,Object>> rows) throws Exception;
}